Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util.io
Class AbstractCharDecoder

    java.lang.Object
      org.apache.batik.util.io.AbstractCharDecoder

All Implemented Interfaces:
  CharDecoder

Direct Known Subclasses:
  ASCIIDecoder, ISO_8859_1Decoder, UTF16Decoder, UTF8Decoder

    public abstract class AbstractCharDecoder

extends Object
implements CharDecoder

This class is the superclass of all the char decoders.

Field Summary
`protected byte[]` | `buffer` The input buffer.
`protected static int` | `BUFFER_SIZE` The buffer size.
`protected int` | `count` The byte count in the buffer.
`protected InputStream` | `inputStream` The input stream to read.
`protected int` | `position` The current position in the buffer.

Fields inherited from interface org.apache.batik.util.io.CharDecoder
`END_OF_STREAM`

Constructor Summary
`protected` | `AbstractCharDecoder(InputStream is)` Creates a new CharDecoder object.

Method Summary
`protected void` | `charError(String encoding)` To throws an exception when the input stream contains an invalid character.
`void` | `dispose()` Disposes the associated resources.
`protected void` | `endOfStreamError(String encoding)` To throws an exception when the end of stream was unexpected.
`protected void` | `fillBuffer()` Fills the input buffer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.util.io.CharDecoder
`readChar`

Field Detail

### BUFFER_SIZE

    protected static final int BUFFER_SIZE

  The buffer size.

  See Also:
    Constant Field Values

### inputStream

    protected InputStream inputStream

  The input stream to read.

### buffer

    protected byte[] buffer

  The input buffer.

### position

    protected int position

  The current position in the buffer.

### count

    protected int count

  The byte count in the buffer.

Constructor Detail

### AbstractCharDecoder

    protected AbstractCharDecoder(InputStream is)

  Creates a new CharDecoder object.

  Parameters:
    `is` - The stream to read.

Method Detail

### dispose

    public void dispose()
                 throws IOException

  Disposes the associated resources.

  Specified by:
    `dispose` in interface `CharDecoder`
  Throws:
    `IOException`

### fillBuffer

    protected void fillBuffer()
                       throws IOException

  Fills the input buffer.

  Throws:
    `IOException`

### charError

    protected void charError(String encoding)
                      throws IOException

  To throws an exception when the input stream contains an invalid character.

  Parameters:
    `encoding` - The encoding name.
  Throws:
    `IOException`

### endOfStreamError

    protected void endOfStreamError(String encoding)
                             throws IOException

  To throws an exception when the end of stream was unexpected.

  Parameters:
    `encoding` - The encoding name.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.